(function ( $ ) {
	"use strict";

	$(function () {

		var error_msg = jQuery("div[class*='settings-error']");

		// look for admin messages with the "settings-error" error class
		if (error_msg.length != 0) {
			// check for multiple messages
			error_msg.each(function(){
				// look for 'tms-mailer' as part of the class
				var classes = $(this).attr('class').split(' ');
				for (var i = 0; i < classes.length; i++) {
					var matches = /^tms-mailer_(.+)/.exec(classes[i]);
					if (matches != null) {
						// get the id of the option
						var error_setting = matches[0];
					}
				}

				// look for the label with the "for" attribute=setting title and give it an "error" class (style this in the css file!)
				jQuery("label[for='" + error_setting + "']").attr('style', 'color: red');

				// look for the input with id=setting title and add a red border to it.
				jQuery("input[id='" + error_setting + "']").attr('style', 'border-color: red');
			})
		}

		var rerouting_select = jQuery("#tms-mailer_rerouting_select");
		var cron_select = jQuery("#tms-mailer_cron_select");

		cron_check(cron_select);
		rerouting_check(rerouting_select);

		cron_select.change(function(){
			cron_check($(this));
		});

		rerouting_select.change(function(){
			rerouting_check($(this));
		})

		function cron_check(select) {
			if(select.val() == 0 || select.attr('disabled')) {
				$('#tms-mailer_queue_quantity').attr('disabled', 'disabled').css('color', '#999');
				$('#tms-mailer_cron_schedule').attr('disabled', 'disabled');
			} else if(select.val() == 1) {
				$('#tms-mailer_queue_quantity').removeAttr('disabled').css('color', '#000');
				$('#tms-mailer_cron_schedule').removeAttr('disabled');
			}
		}

		function rerouting_check(select) {
			if(select.val() == 0){
				$('#tms-mailer_url').attr('disabled', 'disabled').css('color', '#999');
				$('#tms-mailer_auth_token').attr('disabled', 'disabled').css('color', '#999');
				$('#tms-mailer_from_name').attr('disabled', 'disabled').css('color', '#999');
				cron_select.attr('disabled', 'disabled');
			}
			if(select.val() == 1){
				$('#tms-mailer_url').removeAttr('disabled').css('color', '#000');
				$('#tms-mailer_auth_token').removeAttr('disabled').css('color', '#000');
				$('#tms-mailer_from_name').removeAttr('disabled').css('color', '#000');
				cron_select.removeAttr('disabled');
			}
			cron_check(cron_select);
		}

		$('#tms-mailer-form').bind('submit', function() {
			$(this).find(':input').removeAttr('disabled');
		});
	});

}(jQuery));