<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   TMS_Mailer
 * @author    Spyder Trap
 * @license   GPL-2.0+
 * @link      http://spydertrap.com
 * @copyright 2013 Spyder Trap
 */
?>

<?php

$process_on = '<td class="process-on">Running</td>';
$process_off = '<td class="process-off">Stopped</td>';
$tms_status = $cron_status = $process_off;

$desc = '<b>GovDelivery TMS Account URL</b> and <b>TMS Authentication Token</b> fields are required';
$process_off_desc = '<td><span class="process-off">Stopped</span> <span class="desc">('.$desc.')</span></td>';
if ( $this->is_tms_enabled === 'need_fields' ) {
	$tms_status = $process_off_desc;
} else if ( $this->is_tms_enabled ) {
	$tms_status = $process_on;
}

$desc = '';
if ( $this->is_tms_enabled === true && $this->is_cron_enabled === 'need_reactivate' ) {
	$desc = 'Needs to be <b>reactivated</b>. Hit the "Save changes" button';
} else if ( $this->is_tms_enabled === true && $this->is_cron_enabled === 'need_fields' ) {
	$desc = '<b>Emails in queue</b> field is required';
}

$process_off_desc = '<td><span class="process-off">Stopped</span> <span class="desc">('.$desc.')</span></td>';
if ($desc != '') {
	$cron_status = $process_off_desc;
} else if ( $this->is_cron_enabled === true ) {
	$cron_status = $process_on;
}

?>
<div class="wrap" xmlns="http://www.w3.org/1999/html">

	<div id="icon-options-general" class="icon32"></div>
	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

	<table class="form-table">
		<tbody>
		<tr valign="top">
			<th scope="row">
				<?php _e( 'Email Rerouting Status', $this->plugin_slug ); ?>
			</th>
			<?php echo $tms_status; ?>
		</tr>
		<tr valign="top">
			<th scope="row">
				<?php _e( 'Cron status', $this->plugin_slug ); ?>
			</th>
			<?php echo $cron_status; ?>
		</tr>
		</tbody>
	</table>

	<?php
	echo '<form method="post" id="'.$this->plugin_slug.'-form" action="options.php">';
	settings_fields( $this->plugin_slug.'_options' );
	do_settings_sections( $this->plugin_slug );

	submit_button();
	echo '</form>';
	?>


	<?php if ($this->is_tms_enabled === true) : ?>
		<h3><?php _e( 'Send a Test Email', $this->plugin_slug ); ?></h3>
		<?php echo "<p>" . __( 'Test the plugin right from this page.', $this->plugin_slug ) . "</p>"; ?>

		<form method="post" id="<?php echo $this->plugin_slug.'-test-email'; ?>" action="<?php echo 'options-general.php?page='.$this->plugin_slug; ?>">
			<input type="hidden" name="action" value="send-test-email" />

			<table class="form-table">
				<tbody>
				<tr valign="top">
					<th scope="row">
						<label for="tms-mailer_test_email"><?php _e( 'Recipient email:', $this->plugin_slug ); ?></label>
					</th>
					<td>
						<input type="text" name="tms-mailer_test_email" id="tms-mailer_test_email" placeholder="<?php echo esc_attr__( 'me@example.com', $this->plugin_slug ); ?>" value="">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="tms-mailer_test_subject"><?php _e( 'Subject:', $this->plugin_slug ); ?></label>
					</th>
					<td>
						<input type="text" name="tms-mailer_test_subject" id="tms-mailer_test_subject" placeholder="<?php echo esc_attr__( 'An example subject', $this->plugin_slug ); ?>" value="">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="tms-mailer_test_body"><?php _e( 'Body:', $this->plugin_slug ); ?></label>
					</th>
					<td>
						<textarea type="text" class="large-text" rows="3" name="tms-mailer_test_body" id="tms-mailer_test_body"><?php echo esc_textarea(__( 'You may edit this message prior to sending.', $this->plugin_slug )); ?></textarea>
					</td>
				</tr>
				</tbody>
			</table>
			<?php submit_button(__( 'Send Test', $this->plugin_slug ), $type = 'primary', $name = 'test_submit'); ?>
		</form>
	<?php endif; ?>
</div>


