<?php
/**
 * TMS Mailer plugin
 *
 * @package   TMS_Mailer
 * @author    Spyder Trap <admin@spydertrap.com>
 * @license   GPL-2.0+
 * @link      http://www.spydertrap.com
 * @copyright 2013 Spyder Trap
 *
 * @wordpress-plugin
 * Plugin name:       GovDelivery Mailer
 * Plugin URI:        http://www.govdelivery.com/mailer
 * Description:       Reroutes all email from your Wordpress instance via the GovDelivery Transactional Messaging Service outbound mail platform (non-SMTP).
 * Version:           1.0.0
* Author:            GovDelivery
 * Author URI: 		  http://www.govdelivery.com/
 * Text Domain:       tms-mailer-locale
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/*----------------------------------------------------------------------------*
 * Public-Facing Functionality
 *----------------------------------------------------------------------------*/

/*
 * Require public-facing class
 */
require_once( plugin_dir_path( __FILE__ ) . 'public/class-tms-mailer.php' );

/*
 * Register hooks that are fired when the plugin is activated or deactivated.
 * When the plugin is deleted, the uninstall.php file is loaded.
 */
register_activation_hook( __FILE__, array( 'TMS_Mailer', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'TMS_Mailer', 'deactivate' ) );

/*
 * Initialize public-facing plugin class not through plugins_loaded hook because of overridden pluggable function dependency
 */
$plugin_tms_class = TMS_Mailer::get_instance();

/*----------------------------------------------------------------------------*
 * Override WP_mail Functionality
 *----------------------------------------------------------------------------*/

require_once( plugin_dir_path( __FILE__ ) . 'includes/wp-mail-functions.php' );

/*----------------------------------------------------------------------------*
 * Dashboard and Administrative Functionality
 *----------------------------------------------------------------------------*/

/*
 * Require and initialize admin plugin class through plugins_loaded hook
 */
if ( is_admin() ) {

	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-tms-mailer-list-table.php' );
	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-tms-mailer-admin.php' );
	add_action( 'plugins_loaded', array( 'TMS_Mailer_Admin', 'get_instance' ) );

}